part of keyclic_sdk_api.api;

class Feedback {
  String description = null;

  FeedbackGeoCoordinates geoCoordinates = null;

  List<String> metadata = [];

  String id = null;

  DateTime createdAt = null;

  String type = null;

  bool public = null;

  List<String> state = [];

  FeedbackLinks links = null;

  FeedbackEmbedded embedded = null;

  Feedback();

  @override
  String toString() {
    return 'Feedback[description=$description, geoCoordinates=$geoCoordinates, metadata=$metadata, id=$id, createdAt=$createdAt, type=$type, public=$public, state=$state, links=$links, embedded=$embedded, ]';
  }

  Feedback.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    description = json['description'];
    geoCoordinates =
        new FeedbackGeoCoordinates.fromJson(json['geoCoordinates']);
    metadata =
        (json['metadata'] as List).map((item) => item as String).toList();
    id = json['id'];
    createdAt =
        json['createdAt'] == null ? null : DateTime.parse(json['createdAt']);
    type = json['type'];
    public = json['public'];
    state = (json['state'] as List).map((item) => item as String).toList();
    links = new FeedbackLinks.fromJson(json['links']);
    embedded = new FeedbackEmbedded.fromJson(json['embedded']);
  }

  Map<String, dynamic> toJson() {
    return {
      'description': description,
      'geoCoordinates': geoCoordinates,
      'metadata': metadata,
      'id': id,
      'createdAt': createdAt == null ? '' : createdAt.toUtc().toIso8601String(),
      'type': type,
      'public': public,
      'state': state,
      'links': links,
      'embedded': embedded
    };
  }

  static List<Feedback> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Feedback>()
        : json.map((value) => new Feedback.fromJson(value)).toList();
  }

  static Map<String, Feedback> mapFromJson(
      Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Feedback>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) =>
          map[key] = new Feedback.fromJson(value));
    }
    return map;
  }
}
